# Generated by Django 4.0.3 on 2022-07-15 20:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('recipes', '0012_alter_ingredient_amount_alter_ingredient_food'),
    ]

    operations = [
        migrations.AlterField(
            model_name='ingredient',
            name='amount',
            field=models.FloatField(null=True),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='food',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='recipes.fooditem'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='recipe',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ingredients', to='recipes.recipe'),
        ),
        migrations.AlterField(
            model_name='step',
            name='food_items',
            field=models.ManyToManyField(blank=True, null=True, to='recipes.fooditem'),
        ),
        migrations.AlterField(
            model_name='step',
            name='order',
            field=models.PositiveSmallIntegerField(),
        ),
    ]
